## org.eclipse.emf.spi.cdo
Class AbstractObjectConflictResolver.TakeRemoteChangesThenApplyLocalChanges

    java.lang.Object
      org.eclipse.emf.spi.cdo.AbstractObjectConflictResolver
          org.eclipse.emf.spi.cdo.AbstractObjectConflictResolver.TakeRemoteChangesThenApplyLocalChanges

All Implemented Interfaces:
  CDOConflictResolver

Enclosing class:
  AbstractObjectConflictResolver

    public static class AbstractObjectConflictResolver.TakeRemoteChangesThenApplyLocalChanges

extends AbstractObjectConflictResolver

A conflict resolver implementation that takes all the new remote state of the conflicting objects and then applies the locally existing changes of the current transaction.

Since:
  2.0

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.spi.cdo.AbstractObjectConflictResolver
`AbstractObjectConflictResolver.MergeLocalChangesPerFeature, AbstractObjectConflictResolver.TakeRemoteChangesThenApplyLocalChanges, AbstractObjectConflictResolver.ThreeWayMerge`

Constructor Summary
`AbstractObjectConflictResolver.TakeRemoteChangesThenApplyLocalChanges()`

Method Summary
`protected void` `resolveConflict(CDOObject conflict, CDORevisionDelta revisionDelta)` Resolves the conflict of a single object in the current transaction.

Methods inherited from class org.eclipse.emf.spi.cdo.AbstractObjectConflictResolver
`changeObject, getTransaction, hookTransaction, readObject, resolveConflicts, rollbackObject, setTransaction, unhookTransaction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractObjectConflictResolver.TakeRemoteChangesThenApplyLocalChanges

    public AbstractObjectConflictResolver.TakeRemoteChangesThenApplyLocalChanges()

Method Detail

### resolveConflict

    protected void resolveConflict(CDOObject conflict,
                                   CDORevisionDelta revisionDelta)

  Description copied from class: `AbstractObjectConflictResolver`
  Resolves the conflict of a single object in the current transaction.

  Specified by:
    `resolveConflict` in class `AbstractObjectConflictResolver`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.